package cn.com.tenlion.systembase.controller.route.homicidevictim;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: HomicideVictimController
 * @Description: 命案受害人
 * @Author: CodeFactory
 * @Date: 2021-10-19 11:24:35
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "命案受害人路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/homicidevictim")
public class HomicideVictimRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("homicidevictim/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("homicidevictim/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("homicidevictim/list");
    }

    @GetMapping("list-view")
    public ModelAndView listView() {
        return new ModelAndView("homicidevictim/list-view");
    }

}